/* @file.c - ansi type buffered file functions built on top of bopen functions
 */
#include <stdio.h>
#include <fcntl.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>
#include "gen.h"
#include "bopen.h"
#include "rbopen.h"

/* f@gets
 */
char *zgets(char *s)
	{
	char *rtn = NULL;
	int res;

	errno = 0;
	if (0 < (res = get(BSTDIN, s, BUFSIZ)))
		{
		rtn = s;
		if (s[res] == '\n')
			s[res] = EOS;
		}
	return rtn;
	}

/* f@puts
 */
int zputs(char *s)
	{
	int rtn;
	int len;

	if ((rtn = bwrite(BSTDOUT, s, len = strlen(s))) == len)
		rtn = bwrite(BSTDOUT, "\n", 1);
	return rtn;
	}

